Article ID: 3255, created on Nov 30, 2007, last review on May 11, 2014

  • Applies to:
  • H-Sphere


Starting with version 2.5.1 Beta 1, H-Sphere supports multiple PHP versions. To enable a desired PHP version:

Install a corresponding PHP package, which can be downloaded from the following locations: (2.5.1 Beta 1) (2.5.1 Beta 2) (2.5.1 Beta 3) (3.0 RC 1) (3.0 RC 1)

Note: PHP package should be installed after H-Sphere installation.

Restart H-Sphere:

net stop hsphere
net start hsphere
During the PHP package installation procedure, you will be prompted to specify SMTP settings for PHP (if there is something missing). Then PHP installer will perform the following actions:
  1. Install PHP files in <>\3rdparty\PHP\<version> directory, where <> is the path to directory and <version> is the installed PHP version, e.g. C:\HSphere.NET\3rdparty\PHP\4.4.2
  2. Create correct php.ini file in the installation directory (mentioned above). If there is other php.ini file found (e.g. at windows directory), then new php.ini file will be based on it.

Important: do not delete the <> directory if it contains any of the packages installed. If you want to uninstall H-Sphere, uninstall all H-Sphere packages first.

f213b9fa8759d57bee5d547445806fe7 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF